is there an enpoint for getting the camera status: online/offline?
This might be what you are looking for:
https://doc.developer.milestonesys.com/mipvmsapi/api/events-ws/v1/
How can I find the translation of the type to the actual event?
“specversion”: “1.0”,
“type”: “dd3e6464-7dc0-405a-a92f-6150587563e8”,
“source”: “cameras/6f7b5720-94aa-40c3-8e5c-c635a5fcb8bf”,
“id”: “00000000-0000-0000-0000-000000000000”,
“time”: “2025-11-27T11:59:46.3373058Z”,
“stategroupid”: “53b40c77-cf48-42a2-a432-db65ae3afc7a”
},
e.g what dd3e6464-7dc0-405a-a92f-6150587563e8 means?
That is answered in the REST:
GET /api/rest/v1/eventTypes/dd3e6464-7dc0-405a-a92f-6150587563e8
ty, do you know to tell me witch types are for:
camera status (online/offline)
recording server (online/offline)
camera recording status (recording/not recording)
I suggest that you run (debug) this sample. - https://doc.developer.milestonesys.com/mipsdk/index.html?base=samples%2FComponentSamples%2FEventAndStateViewer%2FREADME.html&tree=tree_2.html
This sample has the events as they happen in clear text. Even if you do not want to use the sample (which is based on the MIP library which is .Net Framework) it will give a good overview of what to expect coming.
So the only way to get what I mentioned is through the WebSocket and events? Is there no way, after we register for the events, that I can obtain this information with your REST API?
No. Status is tied to the events and is not available on the regular Rest API.